# Alert configurations `GET` `https://api.unusualwhales.com/api/alerts/configuration` Returnst all alert configurations of the user. Users can create alerts for: - Market tide - Gamma exposure (GEX), Vanna exposure (VEX), Charm exposure (CEX) - Interval Contract screeners (replicates and alerts on the Flow Feed) - Analyst ratings, price targets, and actions - Politician trades - Insider trades - OI changes for contract in premarket - FDA - Flow alerts - Contract screener (replicates and alerts on the Hottest Chains) - Stock screeners - News - Earnings - Dividends - Splits - Trading stats (halts, unhalts) - Economic release - SEC filings The alerts are the same alerts as the user created on [https://unusualwhales.com/custom-alerts](https://unusualwhales.com/custom-alerts) ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Response (200) | Field | Type | Description | |-------|------|-------------| | `config` | The configuration of an alert. | An alert configuration, there is no fixed schema for this as each alert will have a different configuration. | | `created_at` | The creation timestamp | | | `id` | The alert id | | | `name` | The name of the alert | | | `noti_type` | The type of the alert | | | `status` | The status of the alert | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/alerts/configuration" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/alerts/configuration", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "config": { "option_symbols": [ "TGT241122C00177500" ], "symbols": "all" }, "created_at": "2024-11-19T18:19:14Z", "id": "ebe24953-a0bf-4b4d-98be-14f721a1199a", "name": "Chain OI Chg: TGT241122C00177500", "noti_type": "chain_oi_change", "status": "active" }, { "config": { "name_contains": [ "berkshire" ], "symbols": "all" }, "created_at": "2024-08-09T23:23:13Z", "id": "4457d60e-e7e5-4950-82e6-0ea010586f25", "name": "Berkshire", "noti_type": "sec_filings", "status": "active" } ] } ```